textures/pad_objects02/haribo2
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
     deformvertexes wave 30 sin 0 3 0 .5
     deformvertexes wave 100 sin 0 3 0 .10
     
        {
                map textures/pad_objects02/haribo2.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/softclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm softsteps 
}

textures/common/woodclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm woodsteps 
}

textures/pad_bookroom/portal
{

	portal
	surfaceparm nolightmap
	deformvertexes wave 150 sin 0 1 0 .5


	{
		map textures/pad_bookroom/portal_sfx3.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	
	
		depthwrite
	}




	{
		map textures/pad_bookroom/portal_sfx.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}

	{
		map textures/pad_bookroom/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 1024
		rgbgen identitylighting	
		tcmod rotate .1 
		tcmod scroll .01 .03
	}
}

textures/pad_bookroom/platte02big
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_bookroom/platte02big.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_bookroom/reg001
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_bookroom/reg001.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_bookroom/woodzier011c
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_bookroom/woodzier011c.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_bookroom/woodzier015
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_bookroom/woodzier015.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood039
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood039.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wop/padbubble
{       	
	qer_editorimage textures/pad_wop/padbubble.tga
	qer_trans 0.5
	surfaceparm nonsolid
        surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/pad_wop/padbubble.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
		depthwrite
	}
}

textures/pad_wop/padjump_yellow
{

        q3map_surfacelight	30

	surfaceparm	trans
	surfaceparm nonsolid
             	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map textures/pad_wop/padjump_yellow.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 0 1 0 1
                
	}	
	{
		map textures/pad_wop/padjump_yellow2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 1 0 1
               
	}	
}

textures/pad_wop/padtele
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
              surfaceparm trans
	q3map_lightimage textures/pad_wop/padtele.tga	
	q3map_surfacelight 100

	{
		map textures/pad_wop/padtele_electric.tga
		blendfunc add
                	rgbgen wave triangle 1.8 2 0 7
                	tcmod scroll 0 -1
	}
	{
		map textures/pad_wop/padtele_electric.tga
		blendfunc add
                	rgbgen wave triangle 1 1.1 1 5
                	tcmod scale  -1 1.5
                	tcmod scroll 0 1.5
	}
	{
		map textures/pad_wop/padtele.tga
		blendfunc add
                	rgbgen wave triangle 2 1.4 3 7.7
                	tcmod scroll 0 0.8
	}
	
}

textures/pad_garden/gardensand02
{
q3map_nonplanar
q3map_shadeangle 60 l
surfaceparm sandsteps
qer_editorimage textures/pad_garden/gardensand02.tga
{
map $lightmap
rgbgen identity
}
{
map textures/pad_garden/gardensand02.tga
blendfunc filter
}
}

textures/pad_garden/kaktus002
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
    
     
        {
                map textures/pad_garden/kaktus002.tga
                alphafunc ge128
		depthwrite
		rgbgen identity
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_garden/red_flame256
{

		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
		qer_editorimage textures/pad_garden/sflame1.tga
		q3map_surfacelight 200
		surfaceparm nolightmap
		cull none

	{
		animmap 10 textures/pad_garden/sflame1.tga textures/pad_garden/sflame2.tga textures/pad_garden/sflame3.tga textures/pad_garden/sflame4.tga textures/pad_garden/sflame5.tga textures/pad_garden/sflame6.tga textures/pad_garden/sflame7.tga textures/pad_garden/sflame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/pad_garden/sflame2.tga textures/pad_garden/sflame3.tga textures/pad_garden/sflame4.tga textures/pad_garden/sflame5.tga textures/pad_garden/sflame6.tga textures/pad_garden/sflame7.tga textures/pad_garden/sflame8.tga textures/pad_garden/sflame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	


	{
		map textures/pad_garden/sflameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/pad_gfx/blobfx
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided

	deformvertexes wave 30 sin 0 5 0 0.2 
	deformvertexes wave 100 sin 0 4 0 0.1 
	tesssize 48
	qer_trans 0.5
	{
		map textures/pad_gfx/blobfx.tga
		tcgen environment
                tcmod turb 0 0.35 0 0.25
                tcmod scroll -0.6 -0.8
	}
	{
		map textures/pad_gfx/blobfx.tga
		tcgen environment
                tcmod turb 0 0.25 0 0.5
                tcmod scroll 1 1
		blendfunc gl_one gl_one
	}
}

textures/pad_gfx/glass_normal
{
	qer_editorimage textures/pad_gfx/glass_normal.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_normal.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/glass_dark
{
	qer_editorimage textures/pad_gfx/glass_dark.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_dark.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/glass_blue
{
	qer_editorimage textures/pad_gfx/glass_blue.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_blue.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/glass2_normal
{
	qer_editorimage textures/pad_gfx/glass2_normal.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_normal.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/window
{
	qer_editorimage textures/pad_gfx/window.tga
	{
		map textures/pad_gfx/window.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcgen environment
                blendfunc add
                rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_gfx/lack_blue
{
	qer_editorimage textures/pad_gfx/lack_blue.tga
	{
		map textures/pad_gfx/lack_blue.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcgen environment
                blendfunc add
                rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_gfx/lack_green
{
	qer_editorimage textures/pad_gfx/lack_green.tga
	{
		map textures/pad_gfx/lack_green.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcgen environment
                blendfunc add
                rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_gfx/lack_red
{
	qer_editorimage textures/pad_gfx/lack_red.tga
	{
		map textures/pad_gfx/lack_red.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcgen environment
                blendfunc add
                rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_gfx02/flow02
{
        qer_editorimage textures/pad_gfx02/flow02.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/pad_gfx02/flow02.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/pad_gfx02/flow04
{
        qer_editorimage textures/pad_gfx02/flow04.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/pad_gfx02/flow04.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/pad_gfx02/col01
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/col01.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/col01.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/col04
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/col04.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/col04.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal01
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal01.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal01.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal02
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal02.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal02.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal04
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal04.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal04.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal06
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal06.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal06.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02b/padflagred02
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
     deformvertexes wave 30 sin 0 3 0 .2
     deformvertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/pad_gfx02b/padflagred02.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_gfx02b/padflagblue02
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
     deformvertexes wave 30 sin 0 3 0 .2
     deformvertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/pad_gfx02b/padflagblue02.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_gfx02b/old_padflagred
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
     deformvertexes wave 30 sin 0 3 0 .2
     deformvertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/pad_gfx02b/old_padflagred.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_harm/vorhang
{
	surfaceparm nomarks
	
	cull disable
	deformvertexes wave 100 sin 0 3 0 0.7
	tesssize 80
	{
		map textures/pad_harm/vorhang.tga
		rgbgen vertex
		depthwrite
		
	}

}

textures/pad_harm/metal06x
{
	qer_editorimage textures/pad_harm/metal06x.tga
	surfaceparm metalsteps
	{
		map textures/pad_harm/metal06x.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_harm/color24x
{
	qer_editorimage textures/pad_harm/color24x.tga
    surfaceparm trans
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
    q3map_surfacelight 10

        {
		map textures/pad_harm/color24x.tga
        tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}

}

textures/pad_harm/rubber_chick
{
	qer_editorimage textures/pad_harm/rubber_chick.tga
    surfaceparm trans
    q3map_surfacelight 10

	{
		map textures/pad_harm/rubber_chick.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
		depthwrite
	}
}

textures/pad_harm/lighty
{
    q3map_surfacelight 2000
    q3map_flareshader flareshader
    surfaceparm nolightmap
    q3map_stylemarker
    {
        map textures/pad_harm/lighty.tga
    }
}

textures/pad_floorin/col04extra
{
   surfaceparm carpetsteps
     {
        map $lightmap
        rgbgen identity
     }
     {
        map textures/pad_floorin/col04extra.tga
        blendfunc gl_dst_color gl_zero
        rgbgen identity
     }
}

textures/pad_harm/woodnew
{
   surfaceparm woodsteps
     {
        map $lightmap
        rgbgen identity
     }
     {
        map textures/pad_harm/woodnew.tga
        blendfunc gl_dst_color gl_zero
        rgbgen identity
     }
}

textures/pad_harm/fensterbank
{
   surfaceparm woodsteps
     {
        map $lightmap
        rgbgen identity
     }
     {
        map textures/pad_harm/fensterbank.tga
        blendfunc gl_dst_color gl_zero
        rgbgen identity
     }
}

textures/pad_harm/bubbles2_1
{
qer_editorimage textures/pad_harm/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.093287 -41.198784 111.500214 sawtooth 0 1 1.000725 0.195925
{
clampmap textures/pad_harm/bubbles2.tga
tcmod rotate 20.229958
alphagen wave sawtooth 1.000000 0.000000 1.000725 0.195925
rgbgen wave sawtooth 1.000000 0.000000 1.000725 0.195925
tcmod stretch sawtooth 0.000000 1.138240 1.000725 0.195925
blendfunc add
}
}

textures/pad_harm/bubbles2_2
{
qer_editorimage textures/pad_harm/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -2.769913 -21.519264 139.001572 sawtooth 0 1 0.622631 0.252309
{
clampmap textures/pad_harm/bubbles2.tga
tcmod rotate 2.200842
alphagen wave sawtooth 1.000000 0.000000 0.622631 0.252309
rgbgen wave sawtooth 1.000000 0.000000 0.622631 0.252309
tcmod stretch sawtooth 0.000000 0.869579 0.622631 0.252309
blendfunc add
}
}

textures/pad_harm/bubbles2_3
{
qer_editorimage textures/pad_harm/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.625161 -6.980746 57.586830 sawtooth 0 1 1.213530 0.445164
{
clampmap textures/pad_harm/bubbles2.tga
tcmod rotate 19.405041
alphagen wave sawtooth 1.000000 0.000000 1.213530 0.445164
rgbgen wave sawtooth 1.000000 0.000000 1.213530 0.445164
tcmod stretch sawtooth 0.000000 2.052110 1.213530 0.445164
blendfunc add
}
}

textures/pad_harm/bubbles2_4
{
qer_editorimage textures/pad_harm/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -8.668365 -12.663155 79.066895 sawtooth 0 1 1.085688 0.300365
{
clampmap textures/pad_harm/bubbles2.tga
tcmod rotate 11.414990
alphagen wave sawtooth 1.000000 0.000000 1.085688 0.300365
rgbgen wave sawtooth 1.000000 0.000000 1.085688 0.300365
tcmod stretch sawtooth 0.000000 1.173104 1.085688 0.300365
blendfunc add
}
}

textures/pad_harm/bubbles2_5
{
qer_editorimage textures/pad_harm/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -12.763139 -30.482132 121.611313 sawtooth 0 1 0.288759 0.189146
{
clampmap textures/pad_harm/bubbles2.tga
tcmod rotate 1.619465
alphagen wave sawtooth 1.000000 0.000000 0.288759 0.189146
rgbgen wave sawtooth 1.000000 0.000000 0.288759 0.189146
tcmod stretch sawtooth 0.000000 1.285534 0.288759 0.189146
blendfunc add
}
}

textures/pad_harm/bubbles2_6
{
qer_editorimage textures/pad_harm/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 7.834942 -10.679131 70.490509 sawtooth 0 1 1.237915 0.365962
{
clampmap textures/pad_harm/bubbles2.tga
tcmod rotate -2.907956
alphagen wave sawtooth 1.000000 0.000000 1.237915 0.365962
rgbgen wave sawtooth 1.000000 0.000000 1.237915 0.365962
tcmod stretch sawtooth 0.000000 1.686840 1.237915 0.365962
blendfunc add
}
}

textures/pad_harm/bubbles2_7
{
qer_editorimage textures/pad_harm/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 5.454388 -41.883984 97.730408 sawtooth 0 1 0.402287 0.207241
{
clampmap textures/pad_harm/bubbles2.tga
tcmod rotate 3.890042
alphagen wave sawtooth 1.000000 0.000000 0.402287 0.207241
rgbgen wave sawtooth 1.000000 0.000000 0.402287 0.207241
tcmod stretch sawtooth 0.000000 0.946705 0.402287 0.207241
blendfunc add
}
}

textures/pad_harm/bubbles2_8
{
qer_editorimage textures/pad_harm/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -9.112141 -36.627399 86.117142 sawtooth 0 1 0.784623 0.218790
{
clampmap textures/pad_harm/bubbles2.tga
tcmod rotate 24.587999
alphagen wave sawtooth 1.000000 0.000000 0.784623 0.218790
rgbgen wave sawtooth 1.000000 0.000000 0.784623 0.218790
tcmod stretch sawtooth 0.000000 0.350276 0.784623 0.218790
blendfunc add
}
}

textures/pad_harm/bubbles2_9
{
qer_editorimage textures/pad_harm/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 13.988351 -11.087501 73.268707 sawtooth 0 1 1.044519 0.235235
{
clampmap textures/pad_harm/bubbles2.tga
tcmod rotate 12.468795
alphagen wave sawtooth 1.000000 0.000000 1.044519 0.235235
rgbgen wave sawtooth 1.000000 0.000000 1.044519 0.235235
tcmod stretch sawtooth 0.000000 1.113410 1.044519 0.235235
blendfunc add
}
}

textures/pad_harm/bubbles2_10
{
qer_editorimage textures/pad_harm/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 10.265741 7.714635 101.291351 sawtooth 0 1 0.524331 0.144779
{
clampmap textures/pad_harm/bubbles2.tga
tcmod rotate 12.796563
alphagen wave sawtooth 1.000000 0.000000 0.524331 0.144779
rgbgen wave sawtooth 1.000000 0.000000 0.524331 0.144779
tcmod stretch sawtooth 0.000000 0.329548 0.524331 0.144779
blendfunc add
}
}

textures/pad_harm/bubbles2_11
{
qer_editorimage textures/pad_harm/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 25.100649 4.780672 126.159500 sawtooth 0 1 0.907308 0.255448
{
clampmap textures/pad_harm/bubbles2.tga
tcmod rotate 16.214331
alphagen wave sawtooth 1.000000 0.000000 0.907308 0.255448
rgbgen wave sawtooth 1.000000 0.000000 0.907308 0.255448
tcmod stretch sawtooth 0.000000 2.025596 0.907308 0.255448
blendfunc add
}
}

textures/pad_harm/bubbles2_12
{
qer_editorimage textures/pad_harm/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 12.983425 -1.691125 65.949432 sawtooth 0 1 0.845538 0.495670
{
clampmap textures/pad_harm/bubbles2.tga
tcmod rotate -2.724845
alphagen wave sawtooth 1.000000 0.000000 0.845538 0.495670
rgbgen wave sawtooth 1.000000 0.000000 0.845538 0.495670
tcmod stretch sawtooth 0.000000 0.903418 0.845538 0.495670
blendfunc add
}
}

textures/pad_objects02/haribo4
{
q3map_nonplanar
q3map_shadeangle 120
surfaceparm sandsteps
qer_editorimage textures/pad_objects02/haribo4.tga
{
map $lightmap
rgbgen identity
}
{
map textures/pad_objects02/haribo4.tga
blendfunc filter
}
}

textures/pad_poster/gummibaer
{
	qer_editorimage textures/pad_poster/gummibaer.tga
	{
		map textures/pad_poster/gummibaer.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_harm/girlass03
{
	qer_editorimage textures/pad_harm/girlass03.tga
	{
		map textures/pad_harm/girlass03.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_harmsky/padcity
{
        qer_editorimage textures/pad_harmsky/padcity.tga


	surfaceparm noimpact
	surfaceparm nolightmap
        q3map_lightimage textures/pad_petesky/white.tga
	q3map_sun	0.266383 0.274632 0.358662 100 50 55
	q3map_surfacelight 100

        skyparms env/padcity512 - -
}

textures/pad_harm/filter
{
	qer_editorimage textures/pad_harm/floor008mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/pad_harm/floor008mirror.tga
		blendfunc filter
		depthwrite
	}
}

textures/pad_jail/pad_jail_spidernet1
{
	qer_editorimage textures/pad_jail/pad_jail_spidernet1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull disable

	{
		map textures/pad_jail/pad_jail_spidernet1.tga
		blendfunc add
		rgbgen identity
	}
}

textures/pad_jail/pad_jail_metal1
{
	surfaceparm metalsteps		
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_jail/pad_jail_metal1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_kitchen/metal06b
{
                surfaceparm metalsteps
	qer_editorimage textures/pad_kitchen/metal06b.tga
	{
		map textures/pad_kitchen/metal06b.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/woodboardbrown06
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/woodboardbrown06.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/woodboardblue
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/woodboardblue.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/boarddoor011
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/boarddoor011.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/flowpot002c
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/flowpot002c.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/flowpot002d
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/flowpot002d.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

models/mapobjects/gummybears/greengum
{

	{
                map models/mapobjects/gummybears/greengum.tga
		tcgen environment
		blendfunc gl_one gl_one
        }

}

models/mapobjects/gummybears/redgum
{

	{
                map models/mapobjects/gummybears/redgum.tga
		tcgen environment
		blendfunc gl_one gl_one
        }


}

models/mapobjects/gummybears/yellowgum
{
	{
                map models/mapobjects/gummybears/yellowgum.tga
		tcgen environment
		blendfunc gl_one gl_one
        }


}

models/mapobjects/gummybears/orangegum
{
	{
                map models/mapobjects/gummybears/orangegum.tga
		tcgen environment
		blendfunc gl_one gl_one
        }


}

models/mapobjects/pad_tins/coke1
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_tins/coke1.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_tins/cola_bottom
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_tins/cola_bottom.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_tins/cola_top
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_tins/cola_top.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_tins/pupsi
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_tins/pupsi.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_lamps/gooseneck
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_lamps/gooseneck.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/padmousetrap/padmousetrap
{
	nopicmip
	nomipmaps
        q3map_globaltexture
        surfaceparm nolightmap
	surfaceparm nomarks
	{
	map models/mapobjects/padmousetrap/padmousetrap.tga
	rgbgen vertex
	}
}

models/mapobjects/pad_books/pad_openbook_rp
{
	qer_editorimage models/mapobjects/pad_books/pad_openbook.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map models/mapobjects/pad_books/pad_openbook.tga
		rgbgen vertex
        }
}

models/mapobjects/pad_sunflower/sunhead
{
	cull none
	nopicmip
	nomipmaps
	{
		map models/mapobjects/pad_sunflower/sunhead.tga
		alphafunc ge128
		rgbgen vertex
	}
}

models/mapobjects/pad_sunflower/sunleaf1
{
	cull none
	nopicmip
	nomipmaps
	{
		map models/mapobjects/pad_sunflower/sunleaf1.tga
		alphafunc ge128
		rgbgen vertex
	}
}

models/mapobjects/pad_sunflower/sunleaf2
{
	cull none
	nopicmip
	nomipmaps
	{
		map models/mapobjects/pad_sunflower/sunleaf2.tga
		alphafunc ge128
		rgbgen vertex
	}
}

models/mapobjects/pad_pc/pad_tft_screen
{
   	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_lightimage models/mapobjects/pad_pc/pad_tft.tga
	q3map_surfacelight 10
	nopicmip

       	{
               	animmap .3 models/mapobjects/pad_pc/screen01.tga models/mapobjects/pad_pc/screen02.tga models/mapobjects/pad_pc/screen03.tga models/mapobjects/pad_pc/screen04.tga models/mapobjects/pad_pc/screen05.tga
               	rgbgen identity
       	}
	{
		map models/mapobjects/padtv/scanline.tga
		blendfunc blend
		rgbgen identity
		tcmod scroll 0 -0.035
		tcmod scale 45 45
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcgen environment
                blendfunc gl_one gl_one
                rgbgen identity
	}
}

models/mapobjects/pad_nascars/padcar_orange
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_nascars/padcar_orange.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/padtv/tv02
{
   	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_lightimage models/mapobjects/padtv/tv004.tga
	q3map_surfacelight 100
	nopicmip

       	{
               	animmap .4 models/mapobjects/padtv/tv001.tga models/mapobjects/padtv/tv003.tga models/mapobjects/padtv/tv001.tga models/mapobjects/padtv/tv004.tga models/mapobjects/padtv/tv006.tga models/mapobjects/padtv/tv001.tga models/mapobjects/padtv/tv005.tga
               	rgbgen identity
       	}
	{
		map models/mapobjects/padtv/scanline.tga
		blendfunc blend
		rgbgen identity
		tcmod scroll 0 -0.035
		tcmod scale 45 45
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcgen environment
                blendfunc gl_one gl_one
                rgbgen identity
	}
}

models/mapobjects/pad_ddmix/padlibrary/bookend
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/padlibrary/bookend.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/padlibrary/bookend_shader
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/padlibrary/bookend_shader.tga
		rgbgen vertex
	}
	{
		map $lightmap
		blendfunc filter
		tcgen environment
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen vertex
		tcgen environment
	}
}

models/mapobjects/pad_ddmix/plants/tulip1
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/tulip1.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/plants/fern
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/fern.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/plants/waterplant1
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	deformvertexes wave 194 sin 0 2 0 0.3
	{
		map models/mapobjects/pad_ddmix/plants/waterplant1.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/plants/bonsai
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/bonsai.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/anteroom/vase
{
	surfaceparm trans
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/anteroom/vase.tga
		blendfunc blend
		rgbgen vertex
	}
	{
		map models/mapobjects/pad_ddmix/anteroom/vase.tga
		blendfunc add
		rgbgen vertex
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcgen environment
	}
}

models/mapobjects/pad_ddmix/anteroom/water_vase
{
	sort additive
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/anteroom/water_vase.tga
		blendfunc add
		rgbgen vertex
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcgen environment
	}
}

models/mapobjects/pad_ddmix/diner/tunnellamp
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/diner/tunnellamp.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/diner/light
{
	cull disable
	nomipmaps
	q3map_surfacelight 1000
	{
		map models/mapobjects/pad_ddmix/diner/light.tga
		rgbgen identity
		tcgen lightmap
	}
}

models/mapobjects/pad_ddmix/attic/pumper
{
	cull disable
	{
		map models/mapobjects/pad_ddmix/attic/pumper.tga
		rgbgen vertex
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen vertex
		tcgen environment
	}
}

models/mapobjects/pad_ddmix/attic/tubes
{
	cull disable
	{
		map models/mapobjects/pad_ddmix/attic/tubes.tga
		rgbgen vertex
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen vertex
		tcgen environment
	}
}

models/mapobjects/pad_actionfigures/plastic
{
	surfaceparm trans
	cull disable
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbgen identity
		tcgen environment
	}
}

models/mapobjects/pad_actionfigures/fig_pumper
{
	{
		map models/weapons2/pumper/pumper.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_actionfigures/fig_pumpertubes
{
	{
		map models/weapons2/pumper/tubes.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_actionfigures/padgrlhd
{
	{
		map models/wop_players/padgirl/padgrlhd.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_actionfigures/padgrlbd
{
	{
		map models/wop_players/padgirl/padgrlbd.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_actionfigures/lilhead
{
	{
		map models/wop_players/padlilly/lilhead.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_actionfigures/lilbody
{
	{
		map models/wop_players/padlilly/lilbody.tga
		rgbgen vertex
	}
}

textures/pad_nature/sand001b
{
surfaceparm sandsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_nature/sand001b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_objects/obj009
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_objects/obj009.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_objects/heizung
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_objects/heizung.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_textile/textile05f
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_textile/textile05f.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/span128
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/span128.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood002black
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood002black.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood004brown
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood004brown.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood017sbrown
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood017sbrown.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood019
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood019.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood035
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood035.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood045blu
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood045blu.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood066
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood066.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood074
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood074.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood076
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood076.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood093
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood093.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

